> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un reçu d'agent

> Stocke un reçu d'action MAIP version 2 signé pour un agent actif. Ceci est distinct de l'API générale des reçus. Les métadonnées d'intégration sont signées ; l'inclusion de la transparence n'est pas établie.

Stocke un reçu d'action MAIP version 2 signé pour un agent actif. Ceci est distinct de l'API générale des reçus. Les métadonnées d'intégration sont signées ; l'inclusion de la transparence n'est pas établie.

Utilisez une clé API d'espace de travail ou un jeton. Encodez l'identifiant complet `maip-receipt:` comme un segment de chemin d'URL.


## OpenAPI

````yaml fr/maip-openapi.yaml POST /v1/agent-receipts
openapi: 3.0.3
info:
  title: Truthlocks MAIP receipts and approvals
  version: 2.0.0
servers:
  - url: https://api.truthlocks.com
    description: Production
  - url: https://sandbox-api.truthlocks.com
    description: Bac à sable
security:
  - apiKey: []
  - bearerAuth: []
paths:
  /v1/agent-receipts:
    post:
      summary: Créer un reçu d'agent
      description: >-
        Stocke un reçu d'action MAIP version 2 signé pour un agent actif. Ceci
        est distinct de l'API générale des reçus. Les métadonnées d'intégration
        sont signées ; l'inclusion de la transparence n'est pas établie.
      operationId: maipAgentReceiptCreate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - agent_id
                - receipt_type
              properties:
                agent_id:
                  type: string
                subject_id:
                  type: string
                action:
                  type: string
                resource:
                  type: string
                inputs_hash:
                  type: string
                outputs_hash:
                  type: string
                audience:
                  type: string
                purpose:
                  type: string
                previous_receipt_id:
                  type: string
                receipt_type:
                  type: string
                  enum:
                    - genesis
                    - delegation
                    - action
                    - revocation
                    - data.attestation
                    - model.attestation
                    - compliance
                    - truth.claim
                    - truth.verification
                scopes:
                  type: array
                  items:
                    type: string
                ttl_seconds:
                  type: integer
                  minimum: 1
                  maximum: 31536000
                metadata:
                  type: object
                  additionalProperties: true
      responses:
        '201':
          description: Réponse réussie
          content:
            application/json:
              schema:
                type: object
                properties:
                  receipt_id:
                    type: string
                  agent_id:
                    type: string
                  version:
                    type: string
                  status:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  signature:
                    type: string
                  signing_envelope:
                    type: object
                    properties:
                      version:
                        type: string
                      key_id:
                        type: string
                      algorithm:
                        type: string
                      payload:
                        type: string
                  metadata:
                    type: object
                    additionalProperties: true
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.